GNU bug report logs - #37880
27.0.50; Changing font size in Info-mode messes up formatting

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Kangas <stefan@HIDDEN>; merged with #37858; dated Wed, 23 Oct 2019 01:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 37858 37880. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37880 <at> debbugs.gnu.org:


Received: (at 37880) by debbugs.gnu.org; 23 Oct 2019 16:27:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 23 12:27:37 2019
Received: from localhost ([127.0.0.1]:34888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iNJU0-000460-L1
	for submit <at> debbugs.gnu.org; Wed, 23 Oct 2019 12:27:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40052)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iNJTz-00045m-Pw
 for 37880 <at> debbugs.gnu.org; Wed, 23 Oct 2019 12:27:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55803)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iNJTu-0007QJ-En; Wed, 23 Oct 2019 12:27:30 -0400
Received: from [176.228.60.248] (port=4997 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iNJTs-0001hY-FH; Wed, 23 Oct 2019 12:27:29 -0400
Date: Wed, 23 Oct 2019 19:27:10 +0300
Message-Id: <838spbzau9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
In-reply-to: <CADwFkmkd+P0X27K44HzbZ3-aJa4aYnL6fGqDYKUTeuoxFhqBJw@HIDDEN>
 (message from Stefan Kangas on Wed, 23 Oct 2019 03:43:55 +0200)
Subject: Re: bug#37880: 27.0.50;
 Changing font size in Info-mode messes up formatting
References: <CADwFkmkd+P0X27K44HzbZ3-aJa4aYnL6fGqDYKUTeuoxFhqBJw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37880
Cc: 37880 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Stefan Kangas <stefan@HIDDEN>
> Date: Wed, 23 Oct 2019 03:43:55 +0200
> 
> When I browse Info in "emacs -Q", the default formatting is fine when
> I say C-h i and I see entries nicely lined up like so:
> 
> * IDLWAVE           Major mode and shell for IDL files.
> * Newsticker        A feed reader for Emacs.
> 
> However, when I increase the font size using C-x C-+, I end up with
> text that looks visually more like this:
> 
> * IDLWAVEMajor mode and shell for IDL files.
> * NewstickerA feed reader for Emacs.

That's :align-to display property in action.  See bug#37858 for one
attempt to enhance it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37880; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Oct 2019 01:44:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 21:44:13 2019
Received: from localhost ([127.0.0.1]:60685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN5h6-00024P-Up
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 21:44:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:32833)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1iN5h5-00024I-Ah
 for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 21:44:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42887)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <stefankangas@HIDDEN>) id 1iN5h4-0003bx-7y
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 21:44:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_DNSWL_NONE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <stefankangas@HIDDEN>) id 1iN5h3-0001mR-9l
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 21:44:10 -0400
Received: from mail-pf1-f173.google.com ([209.85.210.173]:33615)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <stefankangas@HIDDEN>)
 id 1iN5h3-0001m4-4g
 for bug-gnu-emacs@HIDDEN; Tue, 22 Oct 2019 21:44:09 -0400
Received: by mail-pf1-f173.google.com with SMTP id c184so2317630pfb.0
 for <bug-gnu-emacs@HIDDEN>; Tue, 22 Oct 2019 18:44:08 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=Na+dcmlBYmWiQCOB6bTcZGXSdOgH18yd/I8cIv/Veys=;
 b=tk7PeAd9BuKdQvrIVzMLGlqQ91xc3/sPaQvHNYg85fokfYpH5vr2tr0RURt/dRaPUq
 KY7cFxhfmRyT/LAFPf2sE9ZWoX1gxoUdlT8Aid+jYw5a3BFy++FUwkpUVeHB24eQqcKI
 LgO3a4+XIedOJQM2McuCfT30tTBDWDzVpnJnP/4c7AzxFTUKi4sPB1cK2BqJ3ufKdHbi
 LJrhOfZMn/GMG0D5qPszgggHr5UedExcMgKr0dmIUaUgLT/Y8tanBJueavUa+E3Sjtdi
 9PpefwZcewUz+kMQrVEZAQRQdhKp/MH+JVbg/+OBuvyfY3bZ6D+5djI3SGE9xC43t5km
 3Pfw==
X-Gm-Message-State: APjAAAWxSWcX+SHQSKgWH9oTkWvVX4i6dprhjr7OyqT3kYPQed1LaT5c
 b3xigFer8aahAXyhCzIAV8Gkj6BIrnUzz/Qv+Ovwwu0U
X-Google-Smtp-Source: APXvYqzt1qDQyNyQku5ewP+qz8BHKE1CimJupYKVNrrjsfwKwv+jrMgK1h8Qt9G1Vq1G+l5XNI0MzRtaw1ESCrJBtQQ=
X-Received: by 2002:aa7:8652:: with SMTP id a18mr7499630pfo.190.1571795047306; 
 Tue, 22 Oct 2019 18:44:07 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Wed, 23 Oct 2019 03:43:55 +0200
Message-ID: <CADwFkmkd+P0X27K44HzbZ3-aJa4aYnL6fGqDYKUTeuoxFhqBJw@HIDDEN>
Subject: 27.0.50; Changing font size in Info-mode messes up formatting
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 209.85.210.173
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  When I browse Info in "emacs -Q", the default formatting is
 fine when I say C-h i and I see entries nicely lined up like so: * IDLWAVE
 Major mode and shell for IDL files. * Newsticker A feed reader for Emacs.
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

When I browse Info in "emacs -Q", the default formatting is fine when
I say C-h i and I see entries nicely lined up like so:

* IDLWAVE           Major mode and shell for IDL files.
* Newsticker        A feed reader for Emacs.

However, when I increase the font size using C-x C-+, I end up with
text that looks visually more like this:

* IDLWAVEMajor mode and shell for IDL files.
* NewstickerA feed reader for Emacs.

I see the same in menu entries in individual nodes.

I didn't look into it, but it would be nice if the formatting of menu
items could adjust as the font size increases.

Best regards,
Stefan Kangas




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37880; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 29 Oct 2020 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.